INTERFACE
SUBROUTINE LWVN15 ( KIDIA,KFDIA,KLON,KLEV,KUAER,KTRAER,&
 & PABCU,PDBSL,PGA,PGB,&
 & PADJD,PADJU,PCNTRB,PDBDT ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLW15 , ONLY : NINT15 ,NTRA15 ,NUA15 ,NG115 ,NG1P115 ,WG115
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KUAER
INTEGER(KIND=JPIM) :: KTRAER
REAL(KIND=JPRB) ,INTENT(IN) :: PABCU(KLON,NUA15,3*KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDBSL(KLON,NINT15,KLEV*2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGA(KLON,8,2,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGB(KLON,8,2,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PADJD(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PADJU(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCNTRB(KLON,KLEV+1,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDBDT(KLON,NINT15,KLEV)
END SUBROUTINE LWVN15
END INTERFACE
